OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_DataMapOfTRI Class Reference

`#include <StepToTopoDS_DataMapOfTRI.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_DataMapOfTRI (const Standard_Integer NbBuckets=1)
Standard_EXPORT StepToTopoDS_DataMapOfTRI & | Assign (const StepToTopoDS_DataMapOfTRI &Other)
StepToTopoDS_DataMapOfTRI & | operator= (const StepToTopoDS_DataMapOfTRI &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~StepToTopoDS_DataMapOfTRI ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(StepShape_TopologicalRepresentationItem)&K, const TopoDS_Shape &I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(StepShape_TopologicalRepresentationItem)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(StepShape_TopologicalRepresentationItem)&K)
Standard_EXPORT const TopoDS_Shape & | Find (const Handle(StepShape_TopologicalRepresentationItem)&K) const
const TopoDS_Shape & | operator() (const Handle(StepShape_TopologicalRepresentationItem)&K) const
Standard_EXPORT TopoDS_Shape & | ChangeFind (const Handle(StepShape_TopologicalRepresentationItem)&K)
TopoDS_Shape & | operator() (const Handle(StepShape_TopologicalRepresentationItem)&K)
## Private Member Functions
Standard_EXPORT | StepToTopoDS_DataMapOfTRI (const StepToTopoDS_DataMapOfTRI &Other)

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_DataMapOfTRI::StepToTopoDS_DataMapOfTRI | ( | const Standard_Integer | NbBuckets = `1` | ) |

StepToTopoDS_DataMapOfTRI::~StepToTopoDS_DataMapOfTRI | ( |  | ) | `[inline]`

Standard_EXPORT StepToTopoDS_DataMapOfTRI::StepToTopoDS_DataMapOfTRI | ( | const StepToTopoDS_DataMapOfTRI & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT StepToTopoDS_DataMapOfTRI& StepToTopoDS_DataMapOfTRI::Assign | ( | const StepToTopoDS_DataMapOfTRI & | Other | ) |

Standard_EXPORT Standard_Boolean StepToTopoDS_DataMapOfTRI::Bind | ( | const Handle(StepShape_TopologicalRepresentationItem)& | K,
|  | const TopoDS_Shape & | I
| ) |

Standard_EXPORT TopoDS_Shape& StepToTopoDS_DataMapOfTRI::ChangeFind | ( | const Handle(StepShape_TopologicalRepresentationItem)& | K | ) |

Standard_EXPORT void StepToTopoDS_DataMapOfTRI::Clear | ( |  | ) |

Standard_EXPORT const TopoDS_Shape& StepToTopoDS_DataMapOfTRI::Find | ( | const Handle(StepShape_TopologicalRepresentationItem)& | K | ) | const

Standard_EXPORT Standard_Boolean StepToTopoDS_DataMapOfTRI::IsBound | ( | const Handle(StepShape_TopologicalRepresentationItem)& | K | ) | const

void StepToTopoDS_DataMapOfTRI::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS_DataMapOfTRI::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS_DataMapOfTRI::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TopoDS_Shape& StepToTopoDS_DataMapOfTRI::operator() | ( | const Handle(StepShape_TopologicalRepresentationItem)& | K | ) | `[inline]`

const TopoDS_Shape& StepToTopoDS_DataMapOfTRI::operator() | ( | const Handle(StepShape_TopologicalRepresentationItem)& | K | ) | const`[inline]`

StepToTopoDS_DataMapOfTRI& StepToTopoDS_DataMapOfTRI::operator= | ( | const StepToTopoDS_DataMapOfTRI & | Other | ) | `[inline]`

Standard_EXPORT void StepToTopoDS_DataMapOfTRI::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean StepToTopoDS_DataMapOfTRI::UnBind | ( | const Handle(StepShape_TopologicalRepresentationItem)& | K | ) |

The documentation for this class was generated from the following file:

- StepToTopoDS_DataMapOfTRI.hxx